#ifndef SVN_COPYWIDGET_H
#define SVN_COPYWIDGET_H

#include "svn_copydlgwidget.h"

namespace SvnGlobal
{
	class SvnInfoHolder;
}
class KURL;

class SvnCopyDialog : public SvnCopyDialogBase
{
	Q_OBJECT
  
public:
	SvnCopyDialog( const TQString &reqPath, SvnGlobal::SvnInfoHolder *holder, TQWidget *parent );
	~SvnCopyDialog();

	KURL sourceUrl();
	int revision();
	TQString revKind();
	KURL destUrl();

public slots:
	void setSourceAsUrl();
	void setSourceAsLocalPath();
	
private:
	SvnGlobal::SvnInfoHolder *m_holder;
};

#endif
